Page MenuHomePhabricator

Introduce -fsanitize-stats flag.
ClosedPublic

Authored by pcc on Jan 13 2016, 8:12 PM.

Details

Summary

This is part of a new statistics gathering feature for the sanitizers.
See clang/docs/SanitizerStats.rst for further info and docs.

Diff Detail

Event Timeline

pcc updated this revision to Diff 44830.Jan 13 2016, 8:12 PM
pcc retitled this revision from to Introduce -fsanitize-stats flag..
pcc updated this object.
pcc added reviewers: kcc, eugenis.
pcc added a subscriber: cfe-commits.
pcc added a reviewer: krasin.Jan 14 2016, 10:45 AM
krasin1 accepted this revision.Jan 14 2016, 11:37 AM
krasin1 added a reviewer: krasin1.
krasin1 added a subscriber: krasin1.

LGTM

lib/Driver/SanitizerArgs.cpp
560

A comment about why does this underscore is needed for x86 is appreciated.

This revision is now accepted and ready to land.Jan 14 2016, 11:37 AM
pcc updated this revision to Diff 44936.Jan 14 2016, 3:32 PM
pcc edited edge metadata.
  • Switch to an alternative in-memory representation that avoids the need for linker magic
pcc updated this revision to Diff 44945.Jan 14 2016, 4:27 PM
pcc marked an inline comment as done.
  • Add note about win32 function name mangling
  • Stop using -whole-archive to link the stats runtime
eugenis accepted this revision.Jan 15 2016, 1:58 PM
eugenis edited edge metadata.
This revision was automatically updated to reflect the committed changes.